Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.jaxp
Class JAXPVariableStack

    java.lang.Object
      |
      +--org.apache.xpath.VariableStack
            |
            +--org.apache.xpath.jaxp.JAXPVariableStack

public class JAXPVariableStack
extends VariableStack

Overrides `VariableStack` and delegates the call to `XPathVariableResolver`.

Fields inherited from class org.apache.xpath.VariableStack
`CLEARLIMITATION`

Constructor Summary
`JAXPVariableStack(XPathVariableResolver resolver)`

Method Summary
`XObject` | `getVariableOrParam(XPathContext xctxt, QName qname)`

Methods inherited from class org.apache.xpath.VariableStack
`clearLocalSlots, clone, elementAt, getGlobalVariable, getGlobalVariable, getLocalVariable, getLocalVariable, getLocalVariable, getStackFrame, isLocalSet, link, reset, setGlobalVariable, setLocalVariable, setLocalVariable, setStackFrame, size, unlink, unlink`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JAXPVariableStack

    public JAXPVariableStack(XPathVariableResolver resolver)

Method Detail

### getVariableOrParam

    public XObject getVariableOrParam(XPathContext xctxt,
                                      QName qname)
                               throws TransformerException,
                                      java.lang.IllegalArgumentException

  Overrides:
    getVariableOrParam in class VariableStack

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.